function mini_create ()
  init_mini(1);
  create_mini(31,10,7,0,false,180,85,32,32,32,1001);

end;
local f=false
function gameinput (sender,id,attachedID)
  if sender==30 then
  BlockCursor(false);
    setcurentleaf("hotel",13,0);
      flags.nohints=false;
    if flags.minicomplete2 then
      RemoveFromMouse(300);
      DeleteElement("gr",300);
      playeffect("29");
      StopEmiter("evak");
      Set_Cursor(40,3)
      flags.loc1 = true;
      CreateWindow(150,250,"207",nil,nil,250,30);
      -- --playeffect("01");
      savegame(SaveLevel());
    return;end;
  return;end;
  if sender==36 then
    if id==2100 then
    clear_satelite_leaf("hotel");
    return;end;
  return;end;
  if sender==10 then
    flags.minicomplete2=true;
    StartTimer(2100,1)
    BlockCursor(true);
  return; end;
  
  if sender==37 then
     skipping=true;
  return;end;  
    if sender==26 then
  if id==100 then
  set_visible_object(5001,true)
  end;
  return;end;
  if sender==28 then
    f=false
      -- BlockCursor(false)
  return;end;  
  if sender==100 then
    if not help then
      CreateWindow(200,200,"2",100,"messageinfo",30,50)
      -- --playeffect("01");  
      help=true;
    end;
  return;end;  
    if pause_state then
    if sender==1 or sender==6 or sender==14 then
      pause_state=false;
      --set_visible_object(11111,false);
    end;  
  return;end;
  if sender==1 then
      -- SetWindowText("Sender==1")
    object_id=id;
    if id==6000 then
        helpbtn=true;
    return;end;
    if id==5000 and skipping then
      if not flags.minicomplete2 then
        finish_mini_game(true);
      return;end;  
    return;end;
  if id == 100 then
         playeffect("17");  
    finish_mini_game(false);      
    DeleteResource("m2_close");
    DeleteResource("m2_fon3");
    DeleteResource("m2_wall");
    DeleteResource("m2_walker");
    clear_satelite_leaf("hotel");
  end;
  return; end;      
if sender==6 then
  if helpbtn then
   CreateWindow(200,200,"2",100,"messageinfo",30,50)
     playeffect("11");
  helpbtn=false;
  end;
  if object_id~=1001 and not f then
  -- SetWindowText("sender==6 and id~=1001")
   playeffect("nogi");
     f=check_mini_game_Labyrinth();
    -- BlockCursor(true)
    end;  
      object_id=0;
    end;  
end;
function mini_delete ()

end;